.bidFormContainer {
  flex: 2;
  min-width: 326px;
  margin-top: 110px;
  margin-right: 0;

  @media(min-width: 1420px) {
    min-width: 426px;
  }
  
  @media(min-width: 1168px) {
    min-width: 426px;
    margin-top: 0;
  }

  @media(min-width: 2560px) {
    margin-top: 5%;
    margin-right: 5%;
  }

    .bidForm {
      margin: 70px 0 70px 0;
      width: 100%;
      padding: 23px 45px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-around;
      background: linear-gradient(114.49deg, #4e14ff 0%, #6923ff 58.85%, #863dfe 96.88%);
      box-shadow: 0px 0px 50px 3px rgba(255, 255, 255, 0.15);
      border-radius: 0px;
    
      @media (max-width: 768px) {
        padding: 10px;
        width: auto;
      }
  
        
      .valuesContainer {
        width: 100%;
        height: auto;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        background: #232387;
        padding: 17px 30px;
        flex-direction: column;
  
        @media (min-width: 600px) {
          padding: 17px 25px;
          flex-direction: row;
        }
  
  
        .singleValue {
          .value {
            display: flex;
            flex-direction: column;
            text-align: left;
            font-style: normal;
            font-weight: 600;
            font-size: 26px;
            letter-spacing: 0.02em;
            color: #FFFFFF;
            text-shadow: 0px 2px 50px #FFFFFF;
  
            @media (min-width: 600px) {
              text-align: left;
            }
          }
  
          .label {
            font-style: italic;
            font-weight: 400;
            font-size: 15px;
            line-height: 20px;
            letter-spacing: 0.02em;
            color: #FFFFFF;
            text-shadow: 0px 2px 50px #FFFFFF;
          }
        }
      }
  
      .priceDecay {
        margin-top: 10px;
        width: 100%;
        text-align: end;
        font-weight: 500;
      }
      
      .inputGroupContainer {
        margin-top: 30px;
        width: 100%;
        
        .myBid {
          text-transform: uppercase;
          font-weight: 500;
        }
      
        .inputGroup {
          width: 100%;
          display: flex;
          flex-direction: row;
      
          span {
              min-height: 60px;
              width: 50%;
              border-bottom: 2px solid white;
              font-weight: 600;
              font-size: 26px;
              letter-spacing: 0.02em;
              color: #FFFFFF;
  
              &:focus-visible {
                border: none;
                outline: none;
                border-bottom: 2px solid white;
              }
          }

          .bidInput {
            text-align: start;
          }
      
          .price {
            text-align: end;
            color: #b585fb;
          }
        }
      
      }

      .agreement {
        margin-top: 50px;
        width: 100%;
        height: auto;
        display: grid;
        grid-template-columns: 1em auto;
        gap: 0.5em;
        align-items: center;

        .agreementText {
          margin-left: 10px;
        }

        input[type="checkbox"] {
          display: grid;
          place-content: center;
          appearance: none;
          margin: 0;
          font: inherit;
          color: currentColor;
          width: 1.15em;
          height: 1.15em;
          border: 0.15em solid currentColor;
          border-radius: 0.15em;
          transform: translateY(-0.075em);

          &::before {
            content: "";
            width: 0.65em;
            height: 0.65em;
            transform: scale(0);
            transition: 40ms transform ease-in-out;
            box-shadow: inset 1em 1em var(--form-control-color);
            background-color: white;
            transform-origin: bottom left;
            clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
          }

          &:checked {
            &::before {
              transform: scale(1);
            }
          }
        }
        
        .form-control + .form-control {
          margin-top: 1em;
        }
        
      }

      .error {
        color: red;
        font-size: 18;
        text-transform: none;
        width: 100%;
      }
      
      .buttonContainer {
        width: 100%;
        .placeBidButton {
          width: 100%;
          height: 65px;
          text-transform: uppercase;
          font-weight: bold;
          margin: 30px 0 40px 0; 
          background-color: #e0ae4d;
          padding: 20px 50px;
          border: none;
          box-shadow: 0px 0px 50px -3px white;
          cursor: pointer;
    
          &:disabled {
            cursor: auto;
            background: #977533;
            box-shadow: none;
          }
        }
  
        .buttonInfo {
          margin-top: 5px;
          text-align: center;
          color: white;
        }
      }
    }
}

